## org.codehaus.groovy.grails.web.util
Class StreamByteBuffer.StreamByteBufferInputStream

    java.lang.Object
      java.io.InputStream
          org.codehaus.groovy.grails.web.util.StreamByteBuffer.StreamByteBufferInputStream

All Implemented Interfaces:
  Closeable

Enclosing class:
  StreamByteBuffer

     class StreamByteBuffer.StreamByteBufferInputStream

extends InputStream

Constructor Summary
`StreamByteBuffer.StreamByteBufferInputStream()`

Method Summary
`int` `available()`
`StreamByteBuffer` `getBuffer()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`(package private) int` `readImpl(byte[] b, int off, int len)`
`void` `reset()`

Methods inherited from class java.io.InputStream
`close, mark, markSupported, read, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamByteBuffer.StreamByteBufferInputStream

    StreamByteBuffer.StreamByteBufferInputStream()

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### readImpl

    int readImpl(byte[] b,
                 int off,
                 int len)

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `InputStream`
  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`

### getBuffer

    public StreamByteBuffer getBuffer()

Copyright (c) 2005-2009 The Grails project